Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio
Class SSLNHttpServerConnectionFactory

    java.lang.Object
      org.apache.http.impl.nio.SSLNHttpServerConnectionFactory

All Implemented Interfaces:
  NHttpConnectionFactory<DefaultNHttpServerConnection>

    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class SSLNHttpServerConnectionFactory

extends Object
implements NHttpConnectionFactory<DefaultNHttpServerConnection>

Default factory for SSL encrypted, non-blocking `NHttpServerConnection`s.

Since:
  4.2

Constructor Summary
`SSLNHttpServerConnectionFactory()`
`SSLNHttpServerConnectionFactory(ConnectionConfig config)`
`SSLNHttpServerConnectionFactory(HttpParams params)` Deprecated. (4.3) use `SSLNHttpServerConnectionFactory(ConnectionConfig)`
`SSLNHttpServerConnectionFactory(SSLContext sslContext, SSLSetupHandler sslHandler, ConnectionConfig config)`
`SSLNHttpServerConnectionFactory(SSLContext sslContext, SSLSetupHandler sslHandler, ContentLengthStrategy incomingContentStrategy, ContentLengthStrategy outgoingContentStrategy, NHttpMessageParserFactory<HttpRequest> requestParserFactory, NHttpMessageWriterFactory<HttpResponse> responseWriterFactory, ByteBufferAllocator allocator, ConnectionConfig cconfig)`
`SSLNHttpServerConnectionFactory(SSLContext sslContext, SSLSetupHandler sslHandler, HttpParams params)` Deprecated. (4.3) use `SSLNHttpServerConnectionFactory(SSLContext, SSLSetupHandler, ConnectionConfig)`
`SSLNHttpServerConnectionFactory(SSLContext sslContext, SSLSetupHandler sslHandler, HttpRequestFactory requestFactory, ByteBufferAllocator allocator, HttpParams params)` Deprecated. (4.3) use `SSLNHttpServerConnectionFactory(SSLContext, SSLSetupHandler, NHttpMessageParserFactory, NHttpMessageWriterFactory, ByteBufferAllocator, ConnectionConfig)`
`SSLNHttpServerConnectionFactory(SSLContext sslContext, SSLSetupHandler sslHandler, NHttpMessageParserFactory<HttpRequest> requestParserFactory, NHttpMessageWriterFactory<HttpResponse> responseWriterFactory, ByteBufferAllocator allocator, ConnectionConfig cconfig)`
`SSLNHttpServerConnectionFactory(SSLContext sslContext, SSLSetupHandler sslHandler, NHttpMessageParserFactory<HttpRequest> requestParserFactory, NHttpMessageWriterFactory<HttpResponse> responseWriterFactory, ConnectionConfig cconfig)`

Method Summary
`DefaultNHttpServerConnection` | `createConnection(IOSession ioSession)`
`protected DefaultNHttpServerConnection` | `createConnection(IOSession session, HttpRequestFactory requestFactory, ByteBufferAllocator allocator, HttpParams params)` Deprecated. (4.3) no longer used.
`protected SSLIOSession` | `createSSLIOSession(IOSession ioSession, SSLContext sslContext, SSLSetupHandler sslHandler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLNHttpServerConnectionFactory

    @Deprecated
    public SSLNHttpServerConnectionFactory(SSLContext sslContext,
                                                      SSLSetupHandler sslHandler,
                                                      HttpRequestFactory requestFactory,
                                                      ByteBufferAllocator allocator,
                                                      HttpParams params)

  Deprecated. (4.3) use `SSLNHttpServerConnectionFactory(SSLContext, SSLSetupHandler, NHttpMessageParserFactory, NHttpMessageWriterFactory, ByteBufferAllocator, ConnectionConfig)`

### SSLNHttpServerConnectionFactory

    @Deprecated
    public SSLNHttpServerConnectionFactory(SSLContext sslContext,
                                                      SSLSetupHandler sslHandler,
                                                      HttpParams params)

  Deprecated. (4.3) use `SSLNHttpServerConnectionFactory(SSLContext, SSLSetupHandler, ConnectionConfig)`

### SSLNHttpServerConnectionFactory

    @Deprecated
    public SSLNHttpServerConnectionFactory(HttpParams params)

  Deprecated. (4.3) use `SSLNHttpServerConnectionFactory(ConnectionConfig)`

### SSLNHttpServerConnectionFactory

    public SSLNHttpServerConnectionFactory(SSLContext sslContext,
                                           SSLSetupHandler sslHandler,
                                           ContentLengthStrategy incomingContentStrategy,
                                           ContentLengthStrategy outgoingContentStrategy,
                                           NHttpMessageParserFactory<HttpRequest> requestParserFactory,
                                           NHttpMessageWriterFactory<HttpResponse> responseWriterFactory,
                                           ByteBufferAllocator allocator,
                                           ConnectionConfig cconfig)

Since:
  4.3

### SSLNHttpServerConnectionFactory

    public SSLNHttpServerConnectionFactory(SSLContext sslContext,
                                           SSLSetupHandler sslHandler,
                                           NHttpMessageParserFactory<HttpRequest> requestParserFactory,
                                           NHttpMessageWriterFactory<HttpResponse> responseWriterFactory,
                                           ByteBufferAllocator allocator,
                                           ConnectionConfig cconfig)

Since:
  4.3

### SSLNHttpServerConnectionFactory

    public SSLNHttpServerConnectionFactory(SSLContext sslContext,
                                           SSLSetupHandler sslHandler,
                                           NHttpMessageParserFactory<HttpRequest> requestParserFactory,
                                           NHttpMessageWriterFactory<HttpResponse> responseWriterFactory,
                                           ConnectionConfig cconfig)

Since:
  4.3

### SSLNHttpServerConnectionFactory

    public SSLNHttpServerConnectionFactory(SSLContext sslContext,
                                           SSLSetupHandler sslHandler,
                                           ConnectionConfig config)

Since:
  4.3

### SSLNHttpServerConnectionFactory

    public SSLNHttpServerConnectionFactory(ConnectionConfig config)

Since:
  4.3

### SSLNHttpServerConnectionFactory

    public SSLNHttpServerConnectionFactory()

Since:
  4.3

Method Detail

### createConnection

    @Deprecated
    protected DefaultNHttpServerConnection createConnection(IOSession session,
                                                                       HttpRequestFactory requestFactory,
                                                                       ByteBufferAllocator allocator,
                                                                       HttpParams params)

  Deprecated. (4.3) no longer used.

### createSSLIOSession

    protected SSLIOSession createSSLIOSession(IOSession ioSession,
                                              SSLContext sslContext,
                                              SSLSetupHandler sslHandler)

  Since:
    4.3

### createConnection

    public DefaultNHttpServerConnection createConnection(IOSession ioSession)

  Specified by:
    `createConnection` in interface `NHttpConnectionFactory<DefaultNHttpServerConnection>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.